%define aurox_ver 9.3
%define rel 2


Summary: Base gnome icons
Name: gnome-icon-theme
Version: 1.0.9
Release: %{aurox_ver}.aur.%{rel}
Source0: %{name}-%{version}.tar.bz2
Patch: gnome-icon-theme-1.0.0-hidden.patch
License: GPL
BuildArch: noarch
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-root

%description
Contains the base icons needed by the Gnome desktop environment.

%prep
%setup -q
%patch -p1 -b .hidden

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

## remove these bogus files
rm -rf $RPM_BUILD_ROOT/usr/share/locale/*

## create symlinks so the gnome theme covers some extra icons we've added
cd $RPM_BUILD_ROOT%{_datadir}/icons/gnome/48x48/apps

ln -s gnome-util.png redhat-accessories.png
ln -s %{_datadir}/evolution/1.4/glade/evolution.png redhat-email.png
#ln -s %{_datadir}/pixmaps/.png redhat-extras.png
ln -s gnome-joystick.png redhat-games.png
ln -s gnome-graphics.png redhat-graphics.png
ln -s %{_datadir}/pixmaps/gnome-home.png redhat-home.png
ln -s gnome-globe.png redhat-internet.png
ln -s %{_datadir}/pixmaps/gnome-logo-icon-transparent.png redhat-main-menu.png
ln -s %{_datadir}/pixmaps/gnome-applications.png redhat-office.png
ln -s gnome-desktop-config.png redhat-preferences.png
ln -s %{_datadir}/pixmaps/ooo_impress.png redhat-presentations.png
ln -s gnome-devel.png redhat-programming.png
ln -s gnome-server-config.png redhat-server_settings.png
ln -s gnome-multimedia.png redhat-sound_video.png
ln -s %{_datadir}/pixmaps/ooo_calc.png redhat-spreadsheet.png
ln -s gnome-starthere.png redhat-starthere.png
ln -s gnome-system-config.png redhat-system_settings.png
ln -s gnome-system.png redhat-system_tools.png
#ln -s %{_datadir}/pixmaps/.png redhat-tools.png
ln -s %{_datadir}/pixmaps/mozilla-icon.png redhat-web-browser.png
ln -s %{_datadir}/pixmaps/ooo_writer.png redhat-word-processor.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_datadir}/icons/gnome


%changelog
* Fri Jan 23 2004 Aurox Team <aurox@aurox.org> 0:1.0.9-9.3.aur.2
- rebuild
- rebuild for Aurox 9.3
- Initial build for Aurox 9.2

* Thu Oct  9 2003 Alexander Larsson <alexl@redhat.com> 1.0.9-2
- Fix symlinks for redhat menu icons

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1.0.9-1
- update to 1.0.9

* Tue Jul 15 2003 Matt Wilson <msw@redhat.com> 1.0.6-1
- update to 1.0.6

* Wed Jul  9 2003 Alexander Larsson <alexl@redhat.com> 1.0.5-1.E
- Rebuild

* Tue Jul  1 2003 Alexander Larsson <alexl@redhat.com> 1.0.5-1
- Update to 1.0.5

* Fri Jun 13 2003 Elliot Lee <sopwithredhat.com> 1.0.2-3
- Update evolution icon link again

* Fri May 16 2003 Alexander Larsson <alexl@redhat.com> 1.0.2-2
- Update evolution icon link (#90050)

* Mon Mar 31 2003 Alexander Larsson <alexl@redhat.com> 1.0.2-1
- Update to 1.0.2

* Sun Feb 16 2003 Than Ngo <than@redhat.com> 1.0.0-4
- remove kde hicolor patch, it's not required anymore
- add patch to make gnome icon theme hidden in KDE

* Mon Feb 10 2003 Alexander Larsson <alexl@redhat.com> 1.0.0-3
- inherit from hicolor to make kde work

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Alexander Larsson <alexl@redhat.com> 1.0.0-1
- Update to 1.0.0

* Fri Jan 17 2003 Havoc Pennington <hp@redhat.com> 0.1.5-2
- make the gnome theme contain some symlinks to cover 
  the redhat-*.png names

* Mon Dec 16 2002 Alexander Larsson <alexl@redhat.com> 0.1.5-1
- Update to 0.1.5

* Wed Dec  4 2002 Alexander Larsson <alexl@redhat.com> 0.1.3-1
- Initial build.
